# Class T8ClientProjectDTO<TUnit>

#### Type Parameters

- TUnit

##### Index

### Constructors

constructor

### Properties

description
gid
localId
name
type

### Methods

getData
getDescription
getGlobalId
getName
getPropertySets
getQuantitySets
getType

## Constructors

### constructor

- new T8ClientProjectDTO<TUnit>(
  dataModel: T8ClientModelDTO,
  propertySetRepository: T8PropertySetRepository<TUnit>,
  quantitySetRepository: T8QuantitySetRepository<TUnit>,
  localId: number,
  gid: number,
  type: number,
  name: number,
  description: number,
  ): T8ClientProjectDTO<TUnit>

  #### Type Parameters

  - TUnit

  #### Parameters

  - dataModel: T8ClientModelDTO
  - propertySetRepository: T8PropertySetRepository<TUnit>
  - quantitySetRepository: T8QuantitySetRepository<TUnit>
  - localId: number
  - gid: number
  - type: number
  - name: number
  - description: number

  #### Returns T8ClientProjectDTO<TUnit>

## Properties

### description

description: number

### gid

gid: number

### localId

localId: number

### name

name: number

### type

type: number

## Methods

### getData

- getData(): Record<string, boolean | number | string>

  #### Returns Record<string, boolean | number | string>

### getDescription

- getDescription(): undefined | string

  #### Returns undefined | string

### getGlobalId

- getGlobalId(): string

  #### Returns string

### getName

- getName(): undefined | string

  #### Returns undefined | string

### getPropertySets

- getPropertySets(): Record<string, T8PropertySet<TUnit>>

  #### Returns Record<string, T8PropertySet<TUnit>>

### getQuantitySets

- getQuantitySets(): Record<string, T8QuantitySet<TUnit>>

  #### Returns Record<string, T8QuantitySet<TUnit>>

### getType

- getType(): string

  #### Returns string